> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/events/list-all-events/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Events GET https://api.withpersona.com/api/v1/events Returns a list of your organization's events. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/events/list-all-events ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (EventsGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. - `filter` (EventsGetParametersFilter, optional) ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of Event objects. - `data` (list of event, required) — An array of Events - `links` (EventsGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of EventsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of EventsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of EventsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of EventsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of EventsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### EventsGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### EventsGetParametersFilter - `name` (string, optional) — Comma separated list of event names - `object-id` (string, optional) — Comma separated list of object ids - `id` (string, optional) — Comma separated list of event ids ### event An Event object - `id` (string, optional) - `attributes` (WorkflowRunIncludedObjectsItemsDiscriminatorMappingEventAttributes, optional) ### EventsGetResponsesContentApplicationJsonSchemaLinks - `prev` (string, required, nullable) - `next` (string, required, nullable) ### EventsGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### WorkflowRunIncludedObjectsItemsDiscriminatorMappingEventAttributes - `name` (string, optional) - `payload` (WorkflowRunIncludedObjectsItemsDiscriminatorMappingEventAttributesPayload, optional) — For a Persona-defined event, the entire serialized entity that triggered it. For a custom event, the arbitrary body you supplied when creating it, returned exactly as sent -- its keys are never re-cased. - `created-at` (datetime, optional) - `context` (map from string to any, optional) — Additional context populated for some event types. ### WorkflowRunIncludedObjectsItemsDiscriminatorMappingEventAttributesPayload For a Persona-defined event, the entire serialized entity that triggered it. For a custom event, the arbitrary body you supplied when creating it, returned exactly as sent -- its keys are never re-cased. - `data` (WorkflowRunIncludedObjectsItemsDiscriminatorMappingEventAttributesPayloadData, optional) ### WorkflowRunIncludedObjectsItemsDiscriminatorMappingEventAttributesPayloadData - `type` (string, optional) - `id` (string, optional) - `attributes` (map from string to any, optional) - `relationships` (map from string to any, optional) ## Examples **Response** ```json { "data": [ { "id": "evt_ABC123", "attributes": { "name": "inquiry.expired", "payload": { "data": { "type": "inquiry", "id": "inq_ABC123", "attributes": {} } }, "created-at": "2023-09-23T17:14:01.918Z" }, "type": "event" }, { "id": "evt_ABC123", "attributes": { "name": "account.tag-added", "payload": { "data": { "type": "account", "id": "act_ABC123", "attributes": {} } }, "created-at": "2023-09-23T00:46:41.877Z" }, "type": "event" } ], "links": { "prev": null, "next": null } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/events" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/events'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/events" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/events") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/events") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/events', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/events"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/events")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```